Opened 12 years ago

Closed 12 years ago

#123 closed defect (fixed)

pidgin.spec does not work with and without Finch on openSUSE

Reported by: bjoernv Owned by: nosnilmot
Milestone: 2.0.0 Component: finch (gnt/ncurses)
Version: 2.0 Keywords:
Cc:

Description

For testing purposes I tried to compile pidgin (latest Monotone version made with "make dist") on openSUSE 10.2.

With default options I get an error within Finch (Gnt)

$ rpmbuild -ba --target i586 /usr/src/packages/SPECS/pidgin.spec
gntwidget.c: In function 'gnt_widget_class_init':
gntwidget.c:181: error: 'gnt_closure_marshal_VOID__INT_INT_INT_INT' undeclared (
first use in this function)
gntwidget.c:181: error: (Each undeclared identifier is reported only once
[...]

Also disabling Finch does not work on openSUSE 10.2:

$ rpmbuild -ba --target i586 /usr/src/packages/SPECS/pidgin.spec  --without text
Building target platforms: i586
Building for target i586
error: line 182: Package does not exist: %description -n finch

Attachments (1)

built.sources (570 bytes) - added by sadrul 12 years ago.
patch for the first error

Download all attachments as: .zip

Change History (4)

comment:1 Changed 12 years ago by rlaager

  • Milestone set to Go public with Pidgin 2.0.0

comment:2 Changed 12 years ago by sadrul

  • Owner changed from sadrul to nosnilmot

Changed 12 years ago by sadrul

patch for the first error

comment:3 Changed 12 years ago by nosnilmot

  • Resolution set to fixed
  • Status changed from new to closed

I believe both of these problems are now fixed.

Note: See TracTickets for help on using tickets.
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!